Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class CircuitCache

    java.lang.Object
      com.vordel.circuit.CircuitCache

    public abstract class CircuitCache

extends java.lang.Object

Constructor Summary
`CircuitCache()`

Method Summary
`protected void` | `constructParentCircuitContainers(EntityStore es, Circuit circuit)`
`abstract FilterContainer` | `create(Filter f, ESPK circuitPK)` Implemented by subclasses to perform the factory operation.
`void` | `flush(EntityStore store, com.vordel.common.crypto.PasswordCipher cipher, java.lang.String processId)` Reset the cache of circuits
`protected FilterContainer` | `forClass(java.lang.Class<? extends FilterContainer> klass, Filter filter, ESPK circuitPK)` Utility method for producing a filter container using the default constructor for a `Class` object.
`Circuit` | `getCircuit(ESPK pk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CircuitCache

    public CircuitCache()

Method Detail

### create

    public abstract FilterContainer create(Filter f,
                                           ESPK circuitPK)
                                    throws java.lang.InstantiationException,
                                           java.lang.IllegalAccessException,
                                           java.lang.ClassNotFoundException

  Implemented by subclasses to perform the factory operation.

  Parameters:
    `filter` - Filter to wrap
  Returns:
    A new FilterContainer implementing specific functionality required by the Circuit's owner.
  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.ClassNotFoundException`

### forClass

    protected FilterContainer forClass(java.lang.Class<? extends FilterContainer> klass,
                                       Filter filter,
                                       ESPK circuitPK)
                                throws java.lang.InstantiationException,
                                       java.lang.IllegalAccessException

  Utility method for producing a filter container using the default constructor for a `Class` object.

  Parameters:
    `klass` - The class (should implement `FilterContainer`
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### getCircuit

    public Circuit getCircuit(ESPK pk)
                       throws EntityStoreException

  Throws:
    `EntityStoreException`

### constructParentCircuitContainers

    protected void constructParentCircuitContainers(EntityStore es,
                                                    Circuit circuit)
                                             throws EntityStoreException

  Throws:
    `EntityStoreException`

### flush

    public void flush(EntityStore store,
                      com.vordel.common.crypto.PasswordCipher cipher,
                      java.lang.String processId)

  Reset the cache of circuits

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel